CatalinaLaunchFilter (Tomcat API Documentation)
Keywords: org.apache.catalina.launcher.CatalinaLaunchFilter class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.launcher
Class CatalinaLaunchFilter

    java.lang.Object
      org.apache.catalina.launcher.CatalinaLaunchFilter

All Implemented Interfaces:
  org.apache.commons.launcher.LaunchFilter

public class CatalinaLaunchFilter
extends java.lang.Object
implements org.apache.commons.launcher.LaunchFilter

This class implements the LaunchFilter interface. This class is designed to unconditionally force the "waitforchild" attribute for certain Catalina applications to true.

Author:
  Patrick Luby

Constructor Summary
`CatalinaLaunchFilter()`

Method Summary
`void` | `filter(org.apache.commons.launcher.LaunchCommand launchCommand)` This method allows dynamic configuration and error checking of the attributes and nested elements in a "launch" task that is launching a Catalina application.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CatalinaLaunchFilter

    public CatalinaLaunchFilter()

Method Detail

### filter

    public void filter(org.apache.commons.launcher.LaunchCommand launchCommand)
                throws org.apache.tools.ant.BuildException

  This method allows dynamic configuration and error checking of the attributes and nested elements in a "launch" task that is launching a Catalina application. This method evaluates the nested command line arguments and, depending on which class is specified in the task's "classname" attribute, may force the application to run in the foreground by forcing the "waitforchild" attribute to "true".

  Specified by:
    `filter` in interface `org.apache.commons.launcher.LaunchFilter`
  Parameters:
    `launchCommand` - a configured instance of the `LaunchCommand` class
  Throws:
    `org.apache.tools.ant.BuildException` - if any errors occur

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.